diff --git a/devops/gc/init-container-opa/init_opa.sh b/devops/gc/init-container-opa/init_opa.sh
index 8c1f3b1a0ec54cce45a509a3452b56be139e4f62..fa9cca4141118728363f50fc0224ffcedd1ae5d8 100644
--- a/devops/gc/init-container-opa/init_opa.sh
+++ b/devops/gc/init-container-opa/init_opa.sh
@@ -13,6 +13,13 @@ if [[ "${status_code}" == 200 ]]; then
     PARTITIONS_LIST=$(curl --location "${PARTITION_BASE_URL}/api/partition/v1/partitions" | jq -r '[.[] | select(. != "system")] | join(",")')
     IFS=',' read -ra PARTITIONS <<< "${PARTITIONS_LIST}"
     echo $PARTITIONS
+    # Check for partition bootstrap
+    if [ -z "$PARTITIONS" ]
+      then
+        echo "Partition bootstrap is not finished"
+        sleep 15
+        exit 1
+    fi
   else
     echo "Exiting with status code: ${status_code}"
     sleep 15